summaryrefslogtreecommitdiffstats
path: root/conf
diff options
context:
space:
mode:
Diffstat (limited to 'conf')
-rw-r--r--conf/Makefile.am42
-rw-r--r--conf/scripts/Makefile.am37
-rwxr-xr-xconf/scripts/default.in (renamed from conf/scripts/default)20
-rw-r--r--conf/waproamd.conf37
-rwxr-xr-xconf/waproamd.init.in64
5 files changed, 199 insertions, 1 deletions
diff --git a/conf/Makefile.am b/conf/Makefile.am
new file mode 100644
index 0000000..e5b252f
--- /dev/null
+++ b/conf/Makefile.am
@@ -0,0 +1,42 @@
+# $Id$
+
+# This file is part of waproamd.
+#
+# waproamd is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# waproamd is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with waproamd; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+SUBDIRS = scripts
+
+if BUILD_WAPROAMD
+
+noinst_DATA = waproamd.init waproamd.conf
+
+EXTRA_DIST = waproamd.init.in waproamd.conf
+
+CLEANFILES = waproamd.init
+
+waproamd.init: waproamd.init.in Makefile
+ sed -e 's,@sysconfdir\@,$(sysconfdir),g' -e 's,@sbindir\@,$(sbindir),g' $< > $@
+ chmod 755 $@
+
+install-data-local: waproamd.init
+ $(INSTALL) -D -m755 waproamd.init ${DESTDIR}/${sysconfdir}/init.d/waproamd
+ $(INSTALL) -D -m644 $(srcdir)/waproamd.conf ${DESTDIR}/${sysconfdir}/waproamd/waproamd.conf
+ mkdir -p ${DESTDIR}/${sysconfdir}/waproamd/keys
+
+uninstall-local:
+ rmdir ${DESTDIR}/${sysconfdir}/waproamd/keys
+ rm -f ${DESTDIR}/${sysconfdir}/init.d/waproamd ${DESTDIR}/${sysconfdir}/waproamd/waproamd.conf
+
+endif
diff --git a/conf/scripts/Makefile.am b/conf/scripts/Makefile.am
new file mode 100644
index 0000000..97a94d3
--- /dev/null
+++ b/conf/scripts/Makefile.am
@@ -0,0 +1,37 @@
+# $Id$
+
+# This file is part of waproamd.
+#
+# waproamd is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# waproamd is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with waproamd; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+if BUILD_WAPROAMD
+
+noinst_DATA = default
+
+EXTRA_DIST = default.in
+
+CLEANFILES = default
+
+default: default.in Makefile
+ sed -e 's,@sysconfdir\@,$(sysconfdir),g' -e 's,@sbindir\@,$(sbindir),g' $< > $@
+ chmod 755 $@
+
+install-data-local: default
+ $(INSTALL) -D -m755 default ${DESTDIR}/${sysconfdir}/waproamd/scripts/default
+
+uninstall-local:
+ rm -f ${DESTDIR}/${sysconfdir}/waproamd/scripts/default
+
+endif
diff --git a/conf/scripts/default b/conf/scripts/default.in
index a871c39..02bdca4 100755
--- a/conf/scripts/default
+++ b/conf/scripts/default.in
@@ -1,6 +1,24 @@
#!/bin/sh
-KEYDIR=.
+# $Id$
+
+# This file is part of waproamd.
+#
+# waproamd is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# waproamd is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with waproamd; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+KEYDIR="@sysconfdir@/waproamd/keys"
if [ -z "$AP" -o -z "$IFACE" ] ; then
echo "Corrupt environment" > /dev/stderr
diff --git a/conf/waproamd.conf b/conf/waproamd.conf
new file mode 100644
index 0000000..35d1ee1
--- /dev/null
+++ b/conf/waproamd.conf
@@ -0,0 +1,37 @@
+# -*-sh-*-
+# $Id$
+
+# This file is part of waproamd.
+#
+# waproamd is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# waproamd is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with waproamd; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+# waproamd configuration file
+
+# Please note that this is a bourne shell fragment sourced by the
+# init script of waproamd.
+
+# Specify the interfaces to control here, separated by spaces.
+# Waproamd processes will be started for each of these interfaces
+# when the waproamd init script is called with the "start" argument.
+INTERFACES="wlan0"
+
+# Additional parameters for waproamd.
+# (Run "waproamd -h" for further information.)
+ARGS="-wM"
+
+# Additional parameters for waproamd for the specified interface. Note
+# that $ARGS is ignored, when a variable like this is set for an
+# interface
+#ARGS_wlan0="-wM"
diff --git a/conf/waproamd.init.in b/conf/waproamd.init.in
new file mode 100755
index 0000000..891cd24
--- /dev/null
+++ b/conf/waproamd.init.in
@@ -0,0 +1,64 @@
+#!/bin/sh
+# $Id$
+
+# This file is part of waproamd.
+#
+# waproamd is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# waproamd is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with waproamd; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+CFG=@sysconfdir@/waproamd/waproamd.conf
+
+WAPROAMD=@sbindir@/waproamd
+test -x $WAPROAMD || exit 0
+
+if [ `id -u` != "0" ] && [ "$1" = "start" -o "$1" = "stop" ] ; then
+ echo "You must be root to start, stop or restart waproamd."
+ exit 1
+fi
+
+[ -f $CFG ] && . $CFG
+
+case "$1" in
+ start)
+ echo -n "Starting Wireless Access Point Roaming Daemon:"
+ for IF in $INTERFACES ; do
+ $WAPROAMD -i $IF $ARGS
+ echo -n " $IF"
+ done
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping Wireless Access Point Roaming Daemon:"
+ for IF in $INTERFACES ; do
+ $WAPROAMD -k -i $IF
+ echo -n " $IF"
+ done
+ echo "."
+ ;;
+ status)
+ for IF in $INTERFACES ; do
+ $WAPROAMD -c -i $IF
+ done
+ ;;
+ force-reload|restart)
+ $0 stop
+ sleep 3
+ $0 start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart|force-reload|status}"
+ exit 1
+esac
+
+exit 0